import { useMainStore } from '@/store';

export default {
    methods: {
        hasSettingEqualTo(settingName, settingValue) {
            return useMainStore().experimentSettings[settingName] === settingValue;
        },
        hasSetting(settingName) {
            return Object.hasOwn(useMainStore().experimentSettings, settingName);
        },
        getSettingValue(settingName) {
            return this.hasSetting(settingName)
                ? useMainStore().experimentSettings[settingName]
                : null;
        }
    }
};
